# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ombrac-netstack"
version = "0.7.6"
authors = ["Contributors"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Safe, fast, small TCP over QUIC tunnel using Rust"
readme = false
keywords = [
    "proxy",
    "firewall",
    "tcp",
    "quic",
]
license = "Apache-2.0"
repository = "https://github.com/ombrac/ombrac"
resolver = "2"

[features]
default = []
tracing = ["dep:tracing"]

[lib]
name = "ombrac_netstack"
path = "src/lib.rs"

[dependencies.bytes]
version = "1"
default-features = false

[dependencies.crossbeam-queue]
version = "0.3"
features = ["std"]
default-features = false

[dependencies.etherparse]
version = "0.20"
features = ["std"]
default-features = false

[dependencies.futures]
version = "0.3"
default-features = false

[dependencies.rand]
version = "0.10"
features = ["thread_rng"]
default-features = false

[dependencies.ringbuf]
version = "0.4"
features = ["std"]
default-features = false

[dependencies.smoltcp]
version = "0.13"
features = [
    "std",
    "async",
    "medium-ip",
    "proto-ipv4",
    "proto-ipv6",
    "socket-tcp",
    "socket-udp",
    "socket-icmp",
    "socket-tcp-cubic",
]
default-features = false

[dependencies.tokio]
version = "1"
features = [
    "rt",
    "sync",
    "io-util",
    "macros",
    "time",
]
default-features = false

[dependencies.tracing]
version = "0.1"
optional = true
default-features = false

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = ["cfg(nightly)"]
